# FBEmbeddedPostsプラグイン

## 概要

Facebookの公開投稿をページ埋め込みます。

### テンプレート・タグ

#### ファンクションタグ

<b>mt:facebookembed</b>

属性値から埋め込みコードを生成して出力します。  

<em>タグ属性</em>

- <b>*url*</b> : 投稿のURL
- <b>*width*</b> : 投稿のピクセル幅(350～750)
- <b>*lazy*</b> : trueを指定すると、loading="lazy" iframe属性を設定してブラウザーの遅延読み込みメカニズムを使用する(プラグインがビューポートの近くにない場合、投稿は表示されないかもしれません)
- <b>*show\_text*</b> : 'false'を指定すると写真投稿にテキストを含めない
- <b>*content*</b> : blockquote要素内の代替コンテンツ
- <b>*footer*</b> : 'false'を指定すると id=fb-root のdiv要素と JavaScriptコードを出力しない

content属性値の中の以下の HTMLコメントは各々以下の値に置き換えられます。

    <!--facebook_embed_url--> : 投稿のURL
    <!--facebook_author_url--> : 投稿者のURL
    <!--facebook_author_basename--> : 投稿者のベースネーム

#### グローバルモディファイア

<b>convert\_fb\_embed</b>

埋め込まれた iframeタグをコードジェネレーターが生成する JavaScriptコードに変換します。
